Bug 71423 - Utility leaves apache in a non-functioning state
Utility leaves apache in a non-functioning state
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-httpd (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-13 09:45 EDT by Jay Turner
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 09:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original httpd.conf file before running redhat-config-httpd (33.75 KB, text/plain)
2002-08-13 09:46 EDT, Jay Turner
no flags Details
httpd.conf file after saving changes in redhat-config-httpd (29.52 KB, text/plain)
2002-08-13 09:47 EDT, Jay Turner
no flags Details

  None (edit)
Description Jay Turner 2002-08-13 09:45:07 EDT
Description of Problem:
With redhat-config-httpd-1.0.1-9, I'm seeing some really odd things.  If I start
up apache as installed, I'm able to get to the test page without any problems. 
I then ran redhat-config-httpd and made the following two changes:
- enter the name of the machine
- changed the contact information to my email address

I then saved the changes and restarted apache.  Now when I attempt to hit the
test page, I'm getting the following:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>403 Forbidden</title>
</head><body>
<h1>Forbidden</h1>
<p>You don't have permission to access /
on this server.</p>
<p>Additionally, a 404 Not Found
error was encountered while trying to use an ErrorDocument to handle the
request.</p>
<hr />
<address>Apache/2.0.36 Server at <a href="mailto:jkt@redhat.com">_default_</a>
Port 80</address>
</body></html>

I'll attach the before and after httpd.conf files as well, as there are some
changes which look quite odd in there.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jay Turner 2002-08-13 09:46:56 EDT
Created attachment 70324 [details]
Original httpd.conf file before running redhat-config-httpd
Comment 2 Jay Turner 2002-08-13 09:47:44 EDT
Created attachment 70325 [details]
httpd.conf file after saving changes in redhat-config-httpd
Comment 3 Phil Knirsch 2002-08-14 09:10:05 EDT
OK, found the problem, missing Alias entry.

Fixing in CVS currently among other small mistakes in the XSLT coversion file.

Read ya, Phil
Comment 4 Phil Knirsch 2002-08-19 10:37:32 EDT
Fixed in latest redhat-config-httpd version.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.